# Uses of Interface
org.eclipse.gef.fx.nodes.IConnectionInterpolator

Packages that use IConnectionInterpolator
Package
Description
org.eclipse.gef.fx.nodes
This package provides: an adaptation of an `IGeometry` to `Node`: `GeometryNode` a connection abstraction that is based on `IAnchor`: `Connection` a visual to display an image which is overlayed by another image on mouse hover: `HoverOverlayImageView` a visual providing a scrollable infinite canvas with a background grid: `InfiniteCanvas`

## Uses of IConnectionInterpolator in org.eclipse.gef.fx.nodes

Classes in org.eclipse.gef.fx.nodes that implement IConnectionInterpolator
Modifier and Type
Class
Description
`class`
`AbstractInterpolator`
Abstract base class for `IConnectionInterpolator` implementations, which supports updating the geometry for an `IGeometry` curve node, as well as arranging and clipping the decorations.
`class`
`PolyBezierInterpolator`
The `PolyBezierInterpolator` interpolates a cubic Bezier spline through the supplied `way points`.
`class`
`PolylineInterpolator`
The `PolylineInterpolator` constructs a `Polyline` through the given `Connection`'s points.
Methods in org.eclipse.gef.fx.nodes that return IConnectionInterpolator
Modifier and Type
Method
Description
`IConnectionInterpolator`
Connection.`getInterpolator()`
Returns the `IConnectionInterpolator` of this `Connection`.
Methods in org.eclipse.gef.fx.nodes that return types with arguments of type IConnectionInterpolator
Modifier and Type
Method
Description
`ObjectProperty<IConnectionInterpolator>`
Connection.`interpolatorProperty()`
Returns the `IConnectionInterpolator` property.
Methods in org.eclipse.gef.fx.nodes with parameters of type IConnectionInterpolator
Modifier and Type
Method
Description
`void`
Connection.`setInterpolator(IConnectionInterpolator interpolator)`
Sets the `IConnectionInterpolator` of this `Connection` to the given `IConnectionInterpolator`.